- Qt 6.8
- Qt Widgets
- C++ Classes
- QListWidgetItem
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QListWidgetItem

The following members of class QListWidgetItem are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` void | setTextAlignment(int alignment)

## Member Function Documentation

### `[deprecated]` void QListWidgetItem::setTextAlignment(int alignment)

This function is deprecated. We strongly advise against using it in new code.

Use the overload that takes a Qt::Alignment argument.

Sets the list item's text alignment to alignment.

See also Qt::Alignment.